// $Id$

//=============================================================================
/**
 *  @file    booster.h
 *
 *  @author Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2004 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#ifndef JYUGEM_BEE_BOOSTER_H
#define JYUGEM_BEE_BOOSTER_H

#ifdef _MSC_VER
#pragma warning( disable: 4244 )
#endif

#include "boost/config.hpp"
#include "boost/cstdint.hpp"
#include "boost/cstdlib.hpp"
#include "boost/any.hpp"
#include "boost/format.hpp"

//
// Definition of Boost
//
#define FORMATER1(f,p1)        boost::io::str(boost::format(f) % p1 )
#define FORMATER2(f,p1,p2)     boost::io::str(boost::format(f) % p1 % p2 )
#define FORMATER3(f,p1,p2,p3)  boost::io::str(boost::format(f) % p1 % p2 % p3)

#endif
