/* $Id$ */

//=============================================================================
/**
 *  @file    log_manager.h
 *
 *  @author Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2004 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#ifndef JYUBEM_BEE_LOG_MANAGER_H
#define JYUBEM_BEE_LOG_MANAGER_H

#include "jyugem/bee/beeconf.h"
#include "jyugem/bee/ace_wrappers.h"

namespace jyugem { namespace bee
{
//
//
//
class BEE_Export log_manager
{
public:
  static void start(const BCHAR * progname = null);
  static void start_thread();

  static void enable_debug();
  static void enable_info();
  static void disable_debug();
  static void disable_info();

private:
  log_manager()  {}
  ~log_manager() {}
};

} } // *namespace* - jyugem::bee

#endif  // JYUBEM_BEE_LOG_MANAGER_H */
