// $Id$

//=============================================================================
/**
 *  @file  state_machine_task.cpp
 *
 *  @author Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2003-2004 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#define BEE_BUILD_DLL

#include "jyugem/bee/state_machine_task.h"
#include "jyugem/bee/task.h"

namespace jyugem { namespace bee
{

class trigger;

//
//
//
int state_machine_task_base::send(trigger * trig)
{
  BEE_GUARD_LOOP(ACE_Thread_Mutex, ace_mon, m_stlock);

  return 0;
}

int state_machine_task_base::changed(trigger * trig)
{
  BEE_GUARD_LOOP(ACE_Thread_Mutex, ace_mon, m_stlock);

  m_task->triggered(trig, m_task);
  
  return 0;
}


} }  // *namespace* - jyugem::bee
