'''
LoadPort/Carrier state machine demo

'''

import cms
a = cms.FrontEndModule()

a.open()

b = a.loadport(1)

b.current_state(cms.LoadPort.region.TRANSFER)
b.current_state(cms.LoadPort.region.ACCESS)
b.current_state(cms.LoadPort.region.RESERVATION)
b.current_state(cms.LoadPort.region.ASSOCIATION)

b.update("auto")

b.current_state(cms.LoadPort.region.ACCESS)

b.update("in-service")

b.current_state(cms.LoadPort.region.TRANSFER)

b.update("out-of-service")

b.current_state()

b.update("in-service")
b.update("ready")

b.current_state()

b.onCarrier()

c = b.carrier()

c.current_state(cms.Carrier.region.IDSTATUS)
c.current_state(cms.Carrier.region.SLOTMAP)
c.current_state(cms.Carrier.region.ACCESS)

c.update("read-id")

c.current_state(cms.Carrier.region.IDSTATUS)

c.update("access")
c.current_state(cms.Carrier.region.ACCESS)

c.update("verify-host")
c.current_state(cms.Carrier.region.SLOTMAP)


c.update("proceed")
c.current_state(cms.Carrier.region.IDSTATUS)
c.current_state(cms.Carrier.region.SLOTMAP)

c = 0

b.offCarrier()

b = 0
